Name: libgtkmm
Version: 1.2.10
Release: alt2
Serial: 1
%define realname gtkmm
%define srcname %realname-%version

Summary: C++ interface for popular GUI library gtk+
License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: http://download.sourceforge.net/gtkmm/%srcname.tar.bz2
Patch1: %realname-1.2.4-alt-examples.patch
Patch2: %realname-1.2.10-alt-soname.patch

Obsoletes: Gtk--, gtk--, %realname
Requires: gtk+ >= 1.2.5, glib, gnome-libs, %{get_dep libsigc++}
Provides: %realname = %version

Prefix: %prefix

%def_disable static

# Automatically added by buildreq on Tue Sep 10 2002
BuildRequires: XFree86-devel XFree86-libs flex gcc-c++ glib-devel glibc-devel-static gtk+-devel libsigc++-devel libstdc++-devel sgml-tools

%package devel
Summary: Headers and development libraries for developing programs that will use Gtk--
Group: Development/C++
Obsoletes: Gtk---devel, gtk---devel, %realname-devel
Requires: %name = %serial:%version-%release, gtk+-devel, glib-devel, gnome-libs-devel, %{get_dep libsigc++-devel}
Provides: %realname-devel = %version

%package examples
Summary: Examples for developing programs that will use Gtk--
Group: Development/C++
Obsoletes: %realname-examples
Requires: %name-devel = %serial:%version-%release
Provides: %realname-examples = %version

%description
Gtk-- provides convenient interface for C++ programmers to create graphical
user interfaces with Gtk+'s flexible OO framework. Highlights include type
safe callbacks, widgets extensible using inheritance and over 180 classes
that can be freely combined to quickly create complex user interfaces.
Gtk-- is free software distributed under GNU Library General Public License.

Install %name if you would like to develop nice User Interfaces to your C++
programs.

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gtk--, the C++ interface to the GTK+ GUI library.

%description examples
The %name-devel package contains source code of example programs for %name.

%prep
%setup -q -n %srcname
%patch1 -p1
gccver=`g++ -v 2>&1 |sed -ne 's,^Reading specs from /usr/lib/gcc-lib/[^/]\+/\([^/]\+\)/specs.*,\1,pg'`
gcc_maj=`echo "$gccver" |cut -d. -f1`
gcc_min=`echo "$gccver" |cut -d. -f2`
if [ $gcc_maj -gt 3 ] || [ $gcc_maj -eq 3 -a $gcc_min -ge 2 ]; then
%patch2 -p1
fi

%build
%configure \
	--disable-maintainer-mode \
	%{subst_enable static} \
	--enable-shared \
	--enable-docs

%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

cp -a examples $RPM_BUILD_ROOT%_libdir/%realname
pushd $RPM_BUILD_ROOT%_libdir/%realname/examples
	find -type d \( -name .libs -o -name .deps \) -print0 |
		xargs -r0 rm -rf
	find -type f -print0 |xargs -r0 file |
		egrep '(relocatable|executable|shell script)' |
		cut -d: -f1 |xargs -r rm -fv
	cat <<EOF >examples.conf
CXXCOMPILE = g++ -c -o \$@ \`%realname-config --cflags\` $RPM_OPT_FLAGS
CXXLINK = g++ -o \$@ \`%realname-config --libs\` $RPM_OPT_FLAGS
CXXBUILD = g++ \$< -o \$@ \`%realname-config --cflags --libs\` $RPM_OPT_FLAGS
EOF
	find -type f -name Makefile |xargs perl -pi -e \
		's|^(CONFIG_HEADER\s*=\s*).*|$1|g;
		s|^(DEFS\s*=\s*).*|$1|g;
		s|^(INCLUDES\s*=\s*).*|$1`%realname-config --cflags`|g;
		s|^(LDADD\s*=\s*).*|$1`%realname-config --libs`|g;
		s|^(top_[a-z]*dir\s*=\s*).*|$1%_libdir/%realname/examples|g;
		s|\.\./\.\./src|%_includedir|g;
		s|../../(g[dt]k--config.h)|%_libdir/%realname/include/$1|g;
		s|\.\./\.\./gdk--/gdk--|%_includedir/gdk--|g;
		s|\.\./\.\.|%_includedir|g;
		s|\$\(top_builddir\)/[^.]*/libg[dt]kmm.la||g;
		s/\$\(LIBTOOL\) --mode=(compile|link) //g'
popd
cp -p config.status $RPM_BUILD_ROOT%_libdir/%realname/examples
touch -r examples/examples.conf $RPM_BUILD_ROOT%_libdir/%realname/examples/examples.conf

rm -rf doc
cp -a docs doc
find doc -type f -name Makefile\* -print0 |xargs -r0 rm -fv
mkdir -p $RPM_BUILD_ROOT%_defaultdocdir/%name-%version
install -p -m644 AUTHORS ChangeLog NEWS README $RPM_BUILD_ROOT%_defaultdocdir/%name-%version
cp -a doc/* $RPM_BUILD_ROOT%_defaultdocdir/%name-%version

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %_defaultdocdir/%name-%version
%doc %_defaultdocdir/%name-%version/[A-Z]*

%files devel
%_bindir/*
%_libdir/*.so
#%_libdir/*.*a
%_includedir/*
%dir %_libdir/%realname
%_libdir/%realname/include
%_libdir/%realname/proc
%_datadir/aclocal/gtk--.m4
%dir %_defaultdocdir/%name-%version
%doc %_defaultdocdir/%name-%version/[a-z]*

%files examples
%dir %_libdir/%realname
%_libdir/%realname/examples

%changelog
* Fri May 14 2004 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.10-alt2
- remove .a files

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 1:1.2.10-alt1.1
- rebuild with new XFree86

* Tue Sep 10 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.2.10-alt1
- 1.2.10
- Bumped soname for g++ >= 3.2
- Updated %%post/%%postun scripts.

* Wed Apr 10 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.9-alt1
- 1.2.9

* Wed Nov 07 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.8-alt2
- Corrected requires for devel subpackage.

* Tue Nov 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.8-alt1
- 1.2.8

* Tue Aug 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.7-alt1
- 1.2.7
- Libification.

* Wed Apr 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.5-ipl2mdk
- Rebuilt with gtk+-1.2.10.

* Sat Feb 17 2001 Dmitry V. Levin <ldv@fandra.org> 1.2.5-ipl1mdk
- 1.2.5

* Sun Nov 19 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.4-ipl1mdk
- 1.2.4
- Split into three packages: %name, %name-devel and %name-examples.
- Fixed Makefiles in %name-exmaples to allow build after installation.

* Sun Oct 01 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.3-ipl1mdk
- 1.2.3
- Patched to build with glibc-2.1.94 & gcc-2.96.
- Automatically added build requires.

* Sun Apr 16 2000 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0pre1-1mdk
- can actually be used now!
- new url

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.1.8-2mdk
- Fix group and other specs subtilities

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- back in contribs
- mandrake build

* Sun Jan  2 2000 Herbert Valerio Riedel <hvr@gnu.org>
- examples should be makeable now

* Sun Dec 26 1999 Herbert Valerio Riedel <hvr@gnu.org>
- commented out manpages for now...

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added dependancies on libsigc++

* Sat Nov  6 1999 Herbert Valerio Riedel <hvr@gnu.org>
- cleanup for 1.1.x
- changed rpm package name from Gtk-- to gtkmm
- removed that static hack

* Sat Oct 21 1999 Karl Einar Nelson <kenelson@ece.ucdavis.edu>
- Changed dist from Gtk--- to gtkmm-

* Sat Sep 11 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added SMP support
- added custom release feature

* Sun Aug  1 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.1.x

* Thu Jul 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.0.x
- Merged in changes from redhat's gtk--.spec
- conditional build of static libraries by define 'STATIC'

* Thu May 10 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.3

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.

